const app = getApp();

Page({

 
  data: {

    // selectArray: [], // 性别-数据
    // index: '',  // 性别-下标、
    // sex: '',     //  性别  

    content:'', //反馈信息
    scsfzImages:'', //图片
    scsfzImagesNum: true,   //加号图标 显示
    content_text:'',
  },

 
  onLoad: function (options) {
    var that =this;
         //  性别 ajax
        // let p_url = 'public/paramsgather?type=sex';
        // let p_data = {
        //   // pid: '0'
        // };
        // app.postRequest(p_url, p_data, function (res) {      //  性别 ajax
        //   if (res.code == 201) {
        //     // console.log(res.data);
        //     that.setData({
        //       selectArray: res.data
        //     })

        //   }
        //   // let dictObject = res.data;
        //   // // 对象转成数组
        //   // var createArr = []
        //   // for (let i in dictObject) {
        //   //   createArr.push(dictObject[i]);
        //   // }

        // })
  },


  // GenderEvent: function (e) {   //  性别    单项选择器
  //   // console.log(this);
  //   // console.log(e);
  //   // console.log(this.data.selectArray[e.detail.value]);
  //   // console.log('picker发送选择改变，携带值为', e.detail.value)
  //   this.setData({
  //     index: e.detail.value,
  //     sex: e.detail.value
  //   })
  // },

  //获取反馈信息
  click_content: function (e) {
    var _content = e.detail.value;
    console.log(_content);
    this.setData({
      content: _content
    });
  },


  // 上传学历
  scsfzclick: function (e) {
    var _this = this;
    wx.chooseImage({
      count: 1,
      sizeType: ['original', 'compressed'],
      sourceType: ['album', 'camera'],
      success(res) {

        let tempFilesSize = res.tempFiles[0].size;

        if (tempFilesSize > 1024 * 1024 * 3) {

          wx.showModal({
            title: '提示',
            content: '图片不得超过3MB',
            showCancel: false,
          })

          return;
        }

        _this.setData({
          scsfzImages: res.tempFilePaths[0],
          scsfzImagesNum: false,
        });



      }
    })
  },


  // 相册点击放大
  enlarge: function (e) {
    var that = this;
    // console.log(e.currentTarget.dataset.src)
    wx.previewImage({
      urls: [e.currentTarget.dataset.src], // 需要预览的图片http链接列表
      current: e.currentTarget.dataset.src
    })

  },



  // //最后提交认证
  Submission: function (e) {
    var _this = this;

    // console.log(_this.data.scsfzImages)


    if (_this.data.scsfzImages != ''  &&   _this.data.content != '') {

              //上传图片
              wx.uploadFile({
                url: app.globalData.url + 'my/other/suggestions',
                filePath: _this.data.scsfzImages,
                name: 'img',
                formData: {
                  key: wx.getStorageSync('access_key'),
                  token: wx.getStorageSync('access_token'),
                  content: _this.data.content
                },
                success: function (res) {
                  console.log(res.data);
                  var data = JSON.parse(res.data);

                  if (data.code == 201) {

                    wx.showToast({
                      title: '提交成功',
                      icon: 'success',
                      duration: 2000
                    })

                    _this.setData({
                      scsfzImagesNum:true,
                      content_text:'',
                      content: '',
                    });

                    return;
                  }

                  var _qrcode = data.msg
                  getApp().Tips(_qrcode);

                }, fail: function (d) {
                  wx.showToast({     //这里提示失败
                    title: '上传失败',
                    icon: 'none',  // 不显示图标
                    duration: 2000
                  })
                }
              })

    } else if (_this.data.content != '') {


              let setwxqrcode_url = 'my/other/suggestions';
              let setwxqrcode_data = {
                content: _this.data.content,
              };
              app.postRequest(setwxqrcode_url, setwxqrcode_data, function (res) {
                if (res.code == 201) {
                  wx.showToast({
                    title: '上传成功',
                    icon: 'success',
                    duration: 2000
                  })

                  _this.setData({
                    scsfzImagesNum: true,
                    content_text: '',
                    content: '',
                  });

                  return;
                }

                var _qrcode = '上传失败'
                getApp().Tips(_qrcode);

              })



    } else {

              var _qrcode = '请描述您遇到的问题'
              getApp().Tips(_qrcode);

    }



  },


})